﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace Check_Email_jQuery_Razor_Core.Pages
{
    public class IndexModel : PageModel
    {
        private DBCtx Context { get; }
        public IndexModel(DBCtx _context)
        {
            this.Context = _context;
        }

        public void OnGet()
        {
        }

        [ValidateAntiForgeryToken]
        public JsonResult OnPostCheckUsername(string email)
        {
            bool isValid = !this.Context.Users.ToList().Exists(p => p.Email.Equals(email, StringComparison.CurrentCultureIgnoreCase));
            return new JsonResult(isValid);
        }
    }
}